"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Client = void 0;
const react_1 = __importDefault(require("react"));
const client_1 = require("@react-fullstack/fullstack/client");
const socket_io_client_1 = require("socket.io-client");
const shared_1 = require("@react-fullstack/fullstack/shared");
class Client extends react_1.default.Component {
    constructor() {
        super(...arguments);
        this.componentDidMount = () => {
            this.socket = (0, socket_io_client_1.connect)(`${this.props.host}:${this.props.port}`, this.props.socketOptions);
            this.socket.on("connect", () => {
                shared_1.emit.request_views_tree(this.socket);
            });
            this.forceUpdate();
        };
        this.componentWillUnmount = () => {
            this.socket.close();
        };
        this.render = () => this.socket ? (react_1.default.createElement(client_1.Client, { transport: this.socket, views: this.props.views })) : (react_1.default.createElement(react_1.default.Fragment, null, " "));
    }
}
exports.Client = Client;
//# sourceMappingURL=index.js.map